TSP Class Reference

`#include <models.h>`

Inheritance diagram for TSP:
Collaboration diagram for TSP:

## Public Member Functions

| TSP ()
| TSP (const TSP &)
| TSP (Data)
| TSP (Data, std::vector< int >)
| ~TSP ()
void | setModelData (Data)
void | setExpData (Data)
void | setCost (CostFunction *)
Data | getSol () const
void | setParam (std::vector< double >)
std::vector< double > | getParam () const
std::vector< double > | getNeighbor (double) const
double | getCost ()
void | exportModel () const
void | displayModel () const
Data | getExpData () const
void | setOrder (std::vector< int >)
std::vector< int > | getOrder () const
Public Member Functions inherited from Model
| Model ()
| Model (const Model &)
| Model (Data)
virtual | ~Model ()

## Additional Inherited Members

Protected Attributes inherited from Model
Data | m_data
Data | exp_data
CostFunction * | m_cost

## Constructor & Destructor Documentation

## TSP() [1/4]

TSP::TSP | ( |  | ) |

## TSP() [2/4]

TSP::TSP | ( | const TSP & | other | ) |

## TSP() [3/4]

TSP::TSP | ( | Data | T | ) |

## TSP() [4/4]

TSP::TSP | ( | Data | T,
|  | std::vector< int > | o
| ) |  |

## ~TSP()

TSP::~TSP | ( |  | ) |

inline

## Member Function Documentation

## displayModel()

void TSP::displayModel | ( |  | ) | const

virtual

Implements Model.

## exportModel()

void TSP::exportModel | ( |  | ) | const

virtual

Implements Model.

## getCost()

double TSP::getCost | ( |  | ) |

virtual

Implements Model.

## getExpData()

Data TSP::getExpData | ( |  | ) | const

## getNeighbor()

std::vector< double > TSP::getNeighbor | ( | double | ampl | ) | const

virtual

Implements Model.

## getOrder()

std::vector< int > TSP::getOrder | ( |  | ) | const

## getParam()

std::vector< double > TSP::getParam | ( |  | ) | const

virtual

Implements Model.

## getSol()

Data TSP::getSol | ( |  | ) | const

virtual

Implements Model.

## setCost()

void TSP::setCost | ( | CostFunction * | f | ) |

virtual

Reimplemented from Model.

## setExpData()

void TSP::setExpData | ( | Data | T | ) |

virtual

Reimplemented from Model.

## setModelData()

void TSP::setModelData | ( | Data | T1 | ) |

virtual

Reimplemented from Model.

## setOrder()

void TSP::setOrder | ( | std::vector< int > | o | ) |

## setParam()

void TSP::setParam | ( | std::vector< double > | a | ) |

virtual

Reimplemented from Model.

The documentation for this class was generated from the following files:

- models.h
- models.cpp